'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var renderChildren = function renderChildren(children) {
  var href = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

  if (_react2.default.Children.count(children) === 1 && typeof children === 'string') {
    return _react2.default.createElement(
      'a',
      { href: href },
      children
    );
  } else {
    return _react2.default.Children.map(children, function (child) {
      return _react2.default.cloneElement(child);
    });
  }
};

var NavItem = function NavItem(_ref) {
  var divider = _ref.divider,
      href = _ref.href,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['divider', 'href', 'children']);

  if (divider) return _react2.default.createElement('li', { className: 'divider' });
  return _react2.default.createElement(
    'li',
    props,
    renderChildren(children, href)
  );
};

NavItem.propTypes = {
  /**
   * children can be a string value or a node
   */
  children: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.node]),
  divider: _propTypes2.default.bool,
  href: _propTypes2.default.string
};

exports.default = NavItem;